Unable to install Tensorflow

Currently using a Ultra96 V2 with Ultra96 PYNQ v2.5 from the pynq site, but unable to install tensorflow because the wheel does not support x86.

Is there a by-pass that would allow tensorflow to be installed? My requirements for the OS cannot be changed due to other hardware compatibility.

Currently unable to find solutions to get tensorflow installed on it.